the-flow
==========

<!---
This file is generated by the-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/the-labo/the-flow
[bd_travis_url]: http://travis-ci.org/the-labo/the-flow
[bd_travis_shield_url]: http://img.shields.io/travis/the-labo/the-flow.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/the-labo/the-flow
[bd_travis_com_shield_url]: https://api.travis-ci.com/the-labo/the-flow.svg?token=
[bd_license_url]: https://github.com/the-labo/the-flow/blob/master/LICENSE
[bd_npm_url]: http://www.npmjs.org/package/the-flow
[bd_npm_shield_url]: http://img.shields.io/npm/v/the-flow.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

GUI Flow

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
-----

```bash
$ npm install the-flow --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Usage.md.hbs" Start -->

<a name="section-doc-guides-02-usage-md"></a>

Usage
---------

```javascript
'use strict'

import React from 'react'
import { TheFlow, TheFlowStyle } from 'the-flow'

class ExampleComponent extends React.Component {
  render () {
    return (
      <div>
        <TheFlowStyle/>
        <TheFlow blocks={[
          {id: 1, content: <span>This is a root</span>},
          {id: 2, parent: 1, index: 0, content: <span>This is child 01</span>},
          {id: 3, parent: 2, index: 0, content: <span>This is child01-01</span>},
          {id: 4, parent: 2, index: 1, content: <span>This is child01-02</span>},
          {
            id: 5, parent: 4, index: 0, content: (
              <TheFlow blocks={[
                {id: 1, content: <span>This is inner root</span>},
                {id: 2, parent: 1, index: 0, content: <span>Inner flow01</span>},
                {id: 3, parent: 2, index: 0, content: <span>Inner flow01-01</span>},
                {id: 4, parent: 2, index: 1, content: <span>Inner flow01-02</span>},
              ]}/>
            )
          },
        ]}/>
      </div>

    )
  }
}

export default ExampleComponent

```


<!-- Section from "doc/guides/02.Usage.md.hbs" End -->

<!-- Section from "doc/guides/03.Components.md.hbs" Start -->

<a name="section-doc-guides-03-components-md"></a>

Components
-----------

### TheFlow

GUI Flow

**Props**

| Name | Type | Description | Default |
| --- | --- | ---- | ---- |
| `arrowColor` | string  |  | `'#555'` |
| `blocks` | arrayOf object |  | `[]` |

### TheFlowStyle

Style for TheFlow

**Props**

| Name | Type | Description | Default |
| --- | --- | ---- | ---- |
| `options` | object  | Style options | `{}` |



<!-- Section from "doc/guides/03.Components.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/the-labo/the-flow/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [THE Labo][t_h_e_labo_url]

[t_h_e_labo_url]: https://github.com/the-labo

<!-- Links End -->
